Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::DynAny Class Reference

`#include <DynamicAnyC.h>`

Inheritance diagram for DynamicAny::DynAny:

[legend]
Collaboration diagram for DynamicAny::DynAny:

[legend]
List of all members.

## Public Types
typedef DynAny_ptr | _ptr_type
typedef DynAny_var | _var_type
## Public Methods
virtual CORBA::TypeCode_ptr | type (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | assign (DynamicAny::DynAny_ptr dyn_any ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch )
virtual void | from_any (const CORBA::Any &value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual CORBA::Any * | to_any (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | equal (DynamicAny::DynAny_ptr dyn_any ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::DynamicAny::DynAny_ptr | copy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | insert_boolean (CORBA::Boolean value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual void | insert_octet (CORBA::Octet value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual void | insert_char (CORBA::Char value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual void | insert_short (CORBA::Short value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual void | insert_ushort (CORBA::UShort value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual void | insert_long (CORBA::Long value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual void | insert_ulong (CORBA::ULong value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual void | insert_float (CORBA::Float value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual void | insert_double (CORBA::Double value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual void | insert_string (const char *value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual void | insert_reference (CORBA::Object_ptr value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual void | insert_typecode (CORBA::TypeCode_ptr value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual void | insert_longlong (CORBA::LongLong value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual void | insert_ulonglong (CORBA::ULongLong value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual void | insert_longdouble (CORBA::LongDouble value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual void | insert_wchar (CORBA::WChar value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual void | insert_wstring (const CORBA::WChar *value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual void | insert_any (const CORBA::Any &value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual void | insert_dyn_any (DynamicAny::DynAny_ptr value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual void | insert_val (CORBA::ValueBase *value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual CORBA::Boolean | get_boolean (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual CORBA::Octet | get_octet (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual CORBA::Char | get_char (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual CORBA::Short | get_short (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual CORBA::UShort | get_ushort (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual CORBA::Long | get_long (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual CORBA::ULong | get_ulong (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual CORBA::Float | get_float (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual CORBA::Double | get_double (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual char * | get_string (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual CORBA::Object_ptr | get_reference (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual CORBA::TypeCode_ptr | get_typecode (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual CORBA::LongLong | get_longlong (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual CORBA::ULongLong | get_ulonglong (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual CORBA::LongDouble | get_longdouble (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual CORBA::WChar | get_wchar (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual CORBA::WChar * | get_wstring (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual CORBA::Any * | get_any (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual::DynamicAny::DynAny_ptr | get_dyn_any (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual CORBA::ValueBase * | get_val (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual CORBA::Boolean | seek (CORBA::Long index ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | rewind (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | next (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::ULong | component_count (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::DynamicAny::DynAny_ptr | current_component (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
DynAny_ptr | _duplicate (DynAny_ptr obj)
DynAny_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
DynAny_ptr | _nil (void)
## Protected Methods
| DynAny (void)
virtual | ~DynAny (void)
## Private Methods
| DynAny (const DynAny &)
void | operator= (const DynAny &)

## Member Typedef Documentation

typedef DynAny_ptr DynamicAny::DynAny::_ptr_type

| Reimplemented from CORBA::Object. Reimplemented in DynamicAny::DynFixed, DynamicAny::DynEnum, DynamicAny::DynStruct, DynamicAny::DynUnion, DynamicAny::DynSequence, DynamicAny::DynArray, and DynamicAny::DynValue.

typedef DynAny_var DynamicAny::DynAny::_var_type

| Reimplemented from CORBA::Object. Reimplemented in DynamicAny::DynFixed, DynamicAny::DynEnum, DynamicAny::DynStruct, DynamicAny::DynUnion, DynamicAny::DynSequence, DynamicAny::DynArray, and DynamicAny::DynValue.

## Constructor & Destructor Documentation

DynamicAny::DynAny::DynAny | ( | void |  | ) | `[protected]`

DynamicAny::DynAny::~DynAny | ( | void |  | ) | `[protected, virtual]`

DynamicAny::DynAny::DynAny | ( | const DynAny & |  | ) | `[private]`

## Member Function Documentation

DynamicAny::DynAny_ptr DynamicAny::DynAny::_duplicate | ( | DynAny_ptr | obj | ) | `[static]`

const char * DynamicAny::DynAny::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Object. Reimplemented in DynamicAny::DynFixed, DynamicAny::DynEnum, DynamicAny::DynStruct, DynamicAny::DynUnion, DynamicAny::DynSequence, DynamicAny::DynArray, and DynamicAny::DynValue.

virtual CORBA::Boolean DynamicAny::DynAny::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented in DynamicAny::DynFixed, DynamicAny::DynEnum, DynamicAny::DynStruct, DynamicAny::DynUnion, DynamicAny::DynSequence, DynamicAny::DynArray, and DynamicAny::DynValue.

DynAny_ptr DynamicAny::DynAny::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Object. Reimplemented in DynamicAny::DynFixed, DynamicAny::DynEnum, DynamicAny::DynStruct, DynamicAny::DynUnion, DynamicAny::DynSequence, DynamicAny::DynArray, DynamicAny::DynValue, TAO_DynAny_i, TAO_DynArray_i, TAO_DynEnum_i, TAO_DynSequence_i, TAO_DynStruct_i, and TAO_DynUnion_i.

DynAny_ptr DynamicAny::DynAny::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Object. Reimplemented in DynamicAny::DynFixed, DynamicAny::DynEnum, DynamicAny::DynStruct, DynamicAny::DynUnion, DynamicAny::DynSequence, DynamicAny::DynArray, and DynamicAny::DynValue.

virtual void DynamicAny::DynAny::assign | ( | DynamicAny::DynAny_ptr dyn_any | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual CORBA::ULong DynamicAny::DynAny::component_count | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual ::DynamicAny::DynAny_ptr DynamicAny::DynAny::copy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual ::DynamicAny::DynAny_ptr DynamicAny::DynAny::current_component | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch )`[pure virtual]`

| Implemented in TAO_DynAny_i, TAO_DynArray_i, TAO_DynEnum_i, TAO_DynSequence_i, TAO_DynStruct_i, and TAO_DynUnion_i.

virtual void DynamicAny::DynAny::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_DynAny_i, TAO_DynArray_i, TAO_DynEnum_i, TAO_DynSequence_i, TAO_DynStruct_i, and TAO_DynUnion_i.

virtual CORBA::Boolean DynamicAny::DynAny::equal | ( | DynamicAny::DynAny_ptr dyn_any | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_DynAny_i, TAO_DynArray_i, TAO_DynEnum_i, TAO_DynSequence_i, TAO_DynStruct_i, and TAO_DynUnion_i.

virtual void DynamicAny::DynAny::from_any | ( | const CORBA::Any &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynAny_i, TAO_DynArray_i, TAO_DynEnum_i, TAO_DynSequence_i, TAO_DynStruct_i, and TAO_DynUnion_i.

virtual CORBA::Any* DynamicAny::DynAny::get_any | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual CORBA::Boolean DynamicAny::DynAny::get_boolean | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual CORBA::Char DynamicAny::DynAny::get_char | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual CORBA::Double DynamicAny::DynAny::get_double | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual ::DynamicAny::DynAny_ptr DynamicAny::DynAny::get_dyn_any | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual CORBA::Float DynamicAny::DynAny::get_float | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual CORBA::Long DynamicAny::DynAny::get_long | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual CORBA::LongDouble DynamicAny::DynAny::get_longdouble | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual CORBA::LongLong DynamicAny::DynAny::get_longlong | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual CORBA::Octet DynamicAny::DynAny::get_octet | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual CORBA::Object_ptr DynamicAny::DynAny::get_reference | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual CORBA::Short DynamicAny::DynAny::get_short | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual char* DynamicAny::DynAny::get_string | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual CORBA::TypeCode_ptr DynamicAny::DynAny::get_typecode | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual CORBA::ULong DynamicAny::DynAny::get_ulong | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual CORBA::ULongLong DynamicAny::DynAny::get_ulonglong | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual CORBA::UShort DynamicAny::DynAny::get_ushort | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual CORBA::ValueBase* DynamicAny::DynAny::get_val | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual CORBA::WChar DynamicAny::DynAny::get_wchar | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual CORBA::WChar* DynamicAny::DynAny::get_wstring | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual void DynamicAny::DynAny::insert_any | ( | const CORBA::Any &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual void DynamicAny::DynAny::insert_boolean | ( | CORBA::Boolean value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual void DynamicAny::DynAny::insert_char | ( | CORBA::Char value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual void DynamicAny::DynAny::insert_double | ( | CORBA::Double value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual void DynamicAny::DynAny::insert_dyn_any | ( | DynamicAny::DynAny_ptr value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual void DynamicAny::DynAny::insert_float | ( | CORBA::Float value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual void DynamicAny::DynAny::insert_long | ( | CORBA::Long value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual void DynamicAny::DynAny::insert_longdouble | ( | CORBA::LongDouble value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual void DynamicAny::DynAny::insert_longlong | ( | CORBA::LongLong value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual void DynamicAny::DynAny::insert_octet | ( | CORBA::Octet value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual void DynamicAny::DynAny::insert_reference | ( | CORBA::Object_ptr value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual void DynamicAny::DynAny::insert_short | ( | CORBA::Short value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual void DynamicAny::DynAny::insert_string | ( | const char *value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual void DynamicAny::DynAny::insert_typecode | ( | CORBA::TypeCode_ptr value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual void DynamicAny::DynAny::insert_ulong | ( | CORBA::ULong value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual void DynamicAny::DynAny::insert_ulonglong | ( | CORBA::ULongLong value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual void DynamicAny::DynAny::insert_ushort | ( | CORBA::UShort value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual void DynamicAny::DynAny::insert_val | ( | CORBA::ValueBase *value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual void DynamicAny::DynAny::insert_wchar | ( | CORBA::WChar value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual void DynamicAny::DynAny::insert_wstring | ( | const CORBA::WChar *value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynCommon.

CORBA::Boolean DynamicAny::DynAny::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Object. Reimplemented in DynamicAny::DynFixed, DynamicAny::DynEnum, DynamicAny::DynStruct, DynamicAny::DynUnion, DynamicAny::DynSequence, DynamicAny::DynArray, and DynamicAny::DynValue.

virtual CORBA::Boolean DynamicAny::DynAny::next | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_DynCommon.

void DynamicAny::DynAny::operator= | ( | const DynAny & |  | ) | `[private]`

virtual void DynamicAny::DynAny::rewind | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual CORBA::Boolean DynamicAny::DynAny::seek | ( | CORBA::Long index | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_DynCommon.

virtual CORBA::Any* DynamicAny::DynAny::to_any | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_DynAny_i, TAO_DynArray_i, TAO_DynEnum_i, TAO_DynSequence_i, TAO_DynStruct_i, and TAO_DynUnion_i.

virtual CORBA::TypeCode_ptr DynamicAny::DynAny::type | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_DynCommon.

The documentation for this class was generated from the following files:

- DynamicAnyC.h
- DynamicAnyC.cpp